#pragma once
#include "levelmanager.hpp"
#include "constants.hpp"
#include <deque>
#include "textures.hpp"
#include <guecs/ui.hpp>
#include "gui/ritual_ui.hpp"

namespace gui {
  class StatusUI {
    public:
      guecs::UI $gui;
      std::map<std::string, size_t> $slots;
      GameLevel $level;
      ritual::UI $ritual_ui;

      StatusUI(GameLevel level);
      void select_slot(DinkyECS::Entity ent, std::any data);
      void select_ritual();
      void update_level(GameLevel &level);
      bool mouse(float x, float y, bool hover);
      void init();
      void render(sf::RenderWindow &window);
      void update();
  };
}
